Subject: Kentucky Moths?

From: [email-masked] (Renard)
Date: Tue, 11 Apr 1995 23:46:20 UNDEFINED

talking to a couple southerners.. i've heard that things in kentucky are about 
a week late this year.. i'm going to be going there in a week or two on micro 
moth (olethreutine esp.) larvae hunts.. anyone know the status of moths in 
kentucky this spring? charlie could probably answer this one...

thanks

TG

[email-masked]